Package net.shibboleth.idp.saml.metadata

# Class ACSUIInfo

java.lang.Object
net.shibboleth.idp.saml.metadata.ACSUIInfo

public class ACSUIInfo extends Object
Class to contain a processed form of the `AttributeConsumingService` suitable for display purposes.

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final org.slf4j.Logger`
`LOG`
logger.
`private final Predicate<LocalizedName>`
`nullLanguageString`
Warning check against a non localized String.
`private final Map<Locale,String>`
`serviceDescriptions`
The Service Descriptions as a map from locale to actual value.
`private final Map<Locale,String>`
`serviceNames`
The Service Names as a map from locale to actual value.

## Constructor Summary

Constructors
Constructor
Description
`ACSUIInfo(AttributeConsumingService acs)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Map<Locale,String>`
`getServiceDescriptions()`
Return the descriptions as a map from locale to actual value.
`Map<Locale,String>`
`getServiceNames()`
Get the Display Names as a map from locale to actual value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LOG

@Nonnull private static final org.slf4j.Logger LOG
logger.

### serviceNames

@Nonnull @Unmodifiable @NotLive private final Map<Locale,String> serviceNames
The Service Names as a map from locale to actual value.

### serviceDescriptions

@Nonnull @Unmodifiable @NotLive private final Map<Locale,String> serviceDescriptions
The Service Descriptions as a map from locale to actual value.

### nullLanguageString

@Nonnull private final Predicate<LocalizedName> nullLanguageString
Warning check against a non localized String.

## Constructor Details

### ACSUIInfo

public ACSUIInfo(@Nonnull AttributeConsumingService acs)
Constructor.

Parameters:
  `acs` - The OpenSaml AssertionConsumingService to convert.

## Method Details

### getServiceNames

@Nonnull @Unmodifiable @NotLive public Map<Locale,String> getServiceNames()
Get the Display Names as a map from locale to actual value.

Returns:
  the display names

### getServiceDescriptions

@Nonnull @Unmodifiable @NotLive public Map<Locale,String> getServiceDescriptions()
Return the descriptions as a map from locale to actual value.

Returns:
  the descriptions names (if any)